### File

`src/core/domain/interfaces/search-info.interface.ts`

### Description

Structure of search metadata

### Index

###### Properties

- pit
- tiebreaker

### Properties

pit
`pit: `EsPit``
Type : `EsPit`
Previous search saved PIT

tiebreaker
`tiebreaker: `[]``
Type : `[]`
Special tiebreaker used by Elasticsearch. Indicates the starting point of next search

    import { EsPit } from "./elastic/es-pit.interface";

    /**
     * Structure of search metadata
     */
    export interface SearchInfo {
        /**
         * Previous search saved PIT
         */
        pit: EsPit;

        /**
         * Special tiebreaker used by Elasticsearch.
         * Indicates the starting point of next search
         */
        tiebreaker: unknown[];
    }

# results matching ""

# No results matching ""